Exports

- « Reflection

- Reflection::getModifierNames »

- PHP Manual
- Reflection
- Exports

# Reflection::export

(PHP 5, PHP 7)

Reflection::export — Exports

Warning

This function has been DEPRECATED as of PHP 7.4.0, and REMOVED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

public static Reflection::export(Reflector `$reflector`, bool `$return` = `false`): string

Exports a reflection.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`reflector`

  The reflection to export.

`return`

  Setting to `true` will return the export, as opposed to emitting it. Setting to `false` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `true`, then the export is returned as a string, otherwise `null` is returned.

### See Also

- Reflection::getModifierNames() - Gets modifier names